
#declare rf=0.5;

#declare Paint=
texture {
	pigment {
		rgb <0.1,0.8,1>
		//rgb <0.5,0.3,0.1>
		//rgb 1
	}
	finish {
		diffuse 0.6
		ambient 0.0
		brilliance 1.2
		specular 0.5
		roughness 0.01
	}
	normal {
		bozo 
		normal_map {
			[ rf-0.1 bumps 0.05 scale 0.025 ]
			[ rf-0.05 crackle 1.5 scale 0.035 ]
			[ rf-0.01 crackle 3 scale 0.06 ]
		}
		warp {
			turbulence 0.2
			octaves 6
			omega 0.8
		}
		//warp{reset_children}
	}
}

#declare Rust1=
texture {
	pigment { rgb <1,0.3,0.1> }
	finish {
		diffuse 0.5
		ambient 0.0
		brilliance 1
		crand 0.01
	}
    normal {
		crackle 1.4
		scale 0.0225
	}
}
texture{
	pigment {
		bozo
		turbulence 0.6
		color_map {
			[ 0 rgbf <1,1,0.2,1> ]
			[ 1 rgbf <0.2,1,0.2,0.4> ]
		}
	}
    finish {
		ambient 0
		diffuse 0
	}
    scale 0.04
}

#declare Rust2=
texture {
	pigment { rgb <1,0.2,0.1> }
	finish {
		diffuse 0.2
		ambient 0.0
		brilliance 1
		crand 0.05
	}
    normal {
		average
		normal_map {
			[ 1 bozo 10  scale 0.0225 ]
			[ 1 granite 1 scale 0.00225 ]
		}
	}
}
texture {
	pigment {
		bozo
		 turbulence 0.6
		 color_map {
			[ 0 rgbt <1,1,0.2,1> ]
			[ 1 rgbt<0.2,1,0.2,0> ]
		}
	}
    finish {
		ambient 0
		diffuse 0
	}
	scale 0.02
}

#declare RustyPaint=
texture {
	bozo
	texture_map {
		[ rf Paint  ]
		[ rf Rust2 ]
		[ rf+0.0075 Rust2 ]
		[ rf+0.015 Rust1 ]
		[ rf+0.1 Rust2 ]
	}
	warp {
		turbulence 0.2
		octaves 6
		omega 0.8
	}
	//warp { reset_children }
	scale 1.3
}
