
#include "colors.inc"
#include "KariKivisalo_RustyPaint.inc"

global_settings {
	assumed_gamma 1
	max_trace_level 15
}

camera {
	location <0,4,-10>
	right <1,0,0>
	direction <0,0,3>
	look_at <0,0.3,0>
}

object {
	union {
		torus { 0.625, 0.025 translate <0,1.5,0> }
		difference {
			cylinder { <0,-0.99,0>, <0,1.5,0>, 0.65 }
			cylinder { <0,-0.7,0>, <0,1.51,0>, 0.6001 }
		}
	}
	texture { RustyPaint }
}

light_source {
	<-10,12,-13>
	rgb 1
	//media_interaction on
	area_light <-10,12,-13>, <-10,12,-13>, 6, 6
	adaptive 2
	jitter
	circular
	orient
    spotlight
	radius 20
	falloff 40
	tightness 3
	point_at <0,0.3,0>
}

plane { <0,1,0>, -1
	pigment {
		//rgb <0.6,0.3,0.3>
		Plum
	}
	finish {
		ambient 0
		diffuse 0.26
	}
}
